complexType "CreditRiskLimit"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 11 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 11 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (fullApproval | (requestedNotionalAmount?, approvedNotionalAmount?) | (requestedNumberOfOptions?, approvedNumberOfOptions?) | (requestedNumberOfUnits?, approvedNumberOfUnits?))?, reason*, limitExpiryTimeStamp?, creditLimitReference*, originalRequestDetails?
</...>

Content Model Elements (11):

  approvedNotionalAmount,
  approvedNumberOfOptions,
  approvedNumberOfUnits,
  creditLimitReference (in creditRiskLimit in limitCheckApproved),
  fullApproval,
  limitExpiryTimeStamp (in creditRiskLimit in limitCheckApproved),
  originalRequestDetails (in creditRiskLimit in limitCheckApproved),
  reason (in creditRiskLimit in limitCheckApproved),
  requestedNotionalAmount,
  requestedNumberOfOptions,
  requestedNumberOfUnits

All Direct / Indirect Based Elements (1):

  creditRiskLimit (in limitCheckApproved)

Known Usage Locations

- As direct type of elements (1):
  creditRiskLimit (in limitCheckApproved)

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="CreditRiskLimit"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="fullApproval" type="xsd:boolean"/> <xsd:sequence> <xsd:element minOccurs="0" name="requestedNotionalAmount" type="Money"/> <xsd:element minOccurs="0" name="approvedNotionalAmount" type="Money"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="requestedNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="approvedNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="requestedNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="approvedNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="CreditLimitCheckReason"/> <xsd:element minOccurs="0" name="limitExpiryTimeStamp" type="xsd:dateTime"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/> <xsd:element minOccurs="0" name="originalRequestDetails" type="OriginalRequestDetails"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 11/11)
approvedNotionalAmount

  Type: | Money, complex content

  (partial approval) Specifies the fixed amount approved expressed as notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="approvedNotionalAmount" type="Money"/>

approvedNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  (partial approval) Specifies the fixed amount approved expressed as number of options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="approvedNumberOfOptions" type="xsd:decimal"/>

approvedNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  (partial approval) Specifies the fixed amount approved expressed as number of units.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="approvedNumberOfUnits" type="xsd:decimal"/>

creditLimitReference

  Type: | CreditLimitReference, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/>

fullApproval

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="fullApproval" type="xsd:boolean"/>

limitExpiryTimeStamp

  Type: | xsd:dateTime, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="limitExpiryTimeStamp" type="xsd:dateTime"/>

originalRequestDetails

  Type: | OriginalRequestDetails, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originalRequestDetails" type="OriginalRequestDetails"/>

reason

  Type: | CreditLimitCheckReason, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="CreditLimitCheckReason"/>

requestedNotionalAmount

  Type: | Money, complex content

  Specifies the fixed amount requested expressed as notional amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="requestedNotionalAmount" type="Money"/>

requestedNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  (partial approval) Specifies the fixed amount approved expressed as number of options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="requestedNumberOfOptions" type="xsd:decimal"/>

requestedNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  (partial approval) Specifies the fixed amount approved expressed as number of units.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="requestedNumberOfUnits" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.